Bug 228491 - [meta PR] stable/11 (11.2-BETA3) failed kyua tests
Summary: [meta PR] stable/11 (11.2-BETA3) failed kyua tests
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: 11.1-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-testing mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-25 19:38 UTC by Glen Barber
Modified: 2018-07-21 17:59 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Barber freebsd_committer 2018-05-25 19:38:27 UTC
There are a number of failed tests on 11.2-BETA3, both amd64 and i386.

Instead of opening an individual PR for each test, the HTML kyua report containing the details is available at:

https://people.freebsd.org/~gjb/tests/11.2.amd64/#failed
Comment 1 Ed Maste freebsd_committer 2018-05-29 15:11:43 UTC
sys/acl/00:main error is:
Unescaped left brace in regex is illegal here in regex; marked by <-- HERE in m/%{ <-- HERE (\w+)}/ at /usr/tests/sys/acl/run line 73.
Comment 2 Ed Maste freebsd_committer 2018-05-29 15:14:05 UTC
Added pstef@ due to indent failures
Comment 3 Ed Maste freebsd_committer 2018-05-29 15:38:34 UTC
Also add eadler@ who kevans@ suggests has worked on related things (r332399)
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-06-01 05:54:52 UTC
FWIW the failing indent tests can be safely ignored. i'll likely submit a diff to delete them.
Comment 5 commit-hook freebsd_committer 2018-06-02 21:47:17 UTC
A commit references this bug:

Author: eadler
Date: Sat Jun  2 21:46:48 UTC 2018
New revision: 334541
URL: https://svnweb.freebsd.org/changeset/base/334541

Log:
  MFC r332399:

  [tests] change tests/sys/acl/run to run on perl 5.26

  Previously unescaped regex just resulted in a warning. Now it results in
  a failed test.

  Approved by:	re (marius)
  PR:		228491

Changes:
  stable/11/tests/sys/acl/run
Comment 6 commit-hook freebsd_committer 2018-06-02 21:50:22 UTC
A commit references this bug:

Author: eadler
Date: Sat Jun  2 21:50:00 UTC 2018
New revision: 334542
URL: https://svnweb.freebsd.org/changeset/base/334542

Log:
  indent(1) in stable/11 is known to be incomplete or incorrect in some
  ways.  Since the code is not planned for MFC, just remove the failing
  tests.

  This is a direct commit to stable/11 as the issue does not affect
  -current.

  Discussed with; pstef
  PR:		228491

Changes:
_U  stable/11/
  stable/11/usr.bin/indent/tests/Makefile
  stable/11/usr.bin/indent/tests/elsecomment.0
  stable/11/usr.bin/indent/tests/elsecomment.0.pro
  stable/11/usr.bin/indent/tests/elsecomment.0.stdout
  stable/11/usr.bin/indent/tests/list_head.0
  stable/11/usr.bin/indent/tests/list_head.0.stdout
  stable/11/usr.bin/indent/tests/sac.0
  stable/11/usr.bin/indent/tests/sac.0.pro
  stable/11/usr.bin/indent/tests/sac.0.stdout
  stable/11/usr.bin/indent/tests/types_from_file.0
  stable/11/usr.bin/indent/tests/types_from_file.0.list
  stable/11/usr.bin/indent/tests/types_from_file.0.pro
  stable/11/usr.bin/indent/tests/types_from_file.0.stdout
Comment 7 Ed Maste freebsd_committer 2018-06-21 12:50:48 UTC
acl and indent tests should be fixed by changes and the makefs tests appear to be an issue with the test environment ("No space left on device"); gjb@ can you confirm?
Comment 8 Glen Barber freebsd_committer 2018-06-21 19:03:30 UTC
(In reply to Ed Maste from comment #7)
> acl and indent tests should be fixed by changes and the makefs tests appear
> to be an issue with the test environment ("No space left on device"); gjb@
> can you confirm?

The acl tests may have been due to filesystem full.  The indent(1) issues, as noted in the commit referenced in comment 6, were legitimate output differences.
Comment 9 Ed Maste freebsd_committer 2018-06-21 19:06:54 UTC
(In reply to Glen Barber from comment #8)
it's the makefs test that is presumably due to out of space; acl tests were due to perl which should be fixed as described in comment 5
Comment 10 Glen Barber freebsd_committer 2018-06-21 19:10:02 UTC
(In reply to Glen Barber from comment #8)
> (In reply to Ed Maste from comment #7)
> > acl and indent tests should be fixed by changes and the makefs tests appear
> > to be an issue with the test environment ("No space left on device"); gjb@
> > can you confirm?
> 
> The acl tests may have been due to filesystem full.  The indent(1) issues,
> as noted in the commit referenced in comment 6, were legitimate output
> differences.

I misread Ed's question.  I believe everything should be fine at this point (in stable/11, that is).  I do not see this as something that will have an impact on usage of 11.2-RELEASE.
Comment 11 Alan Somers freebsd_committer 2018-07-21 17:13:15 UTC
The makefs failure is because makefs calculated the image size wrong, then ran out of space while it was actually writing the image.  I'll open a separate bug.
Comment 12 Alan Somers freebsd_committer 2018-07-21 17:59:10 UTC
229929 describes the makefs bug.  I've added a dedicated testcase for it and fixed the other tests.